Fin de support standard (EOL) pour Java SE 5.0
Vos applications professionnelles sont-elles concernées ?

Le , par Ricky81, Expert éminent sénior
Bonsoir,

Demain 30 octobre correspond à l'EOL (End Of Live) pour Java SE 5.0.

Ou en êtes vous sur vos projets professionnels ?
Avez vous :
  • migré en Java SE 6.0
  • passé à Java SE for Business 5.0 auprès de Sun
  • oublié ce petit détail
  • pas de crainte


?

Pour info, une dernière version publique a été rendue disponible le 3 novembre : Sortie de Java SE 6 Update 17 et Java SE 5 Update 22 : mises à jour de sécurité

Cf. http://java.sun.com/products/archive/eol.policy.html


Vous avez aimé cette actualité ? Alors partagez-la avec vos amis en cliquant sur les boutons ci-dessous :


 Poster une réponse

Avatar de entreprise38 entreprise38 - Inactif http://www.developpez.com
le 30/10/2009 à 0:56
On vient de passer de Java 1.4 à un mixe Java 1.5 / Java 1.6, car une partie de notre solution logicielle tierce était passée en 1.5 / 1.6 (c'est tellement mal fichu que je suis incapable de dire si c'est full 1.6 :p)
Quant à la fin du support 1.5 : ne l'ayant jamais utilisé, je ne pense pas que cela ne nous dérange, mais alors pas du tout. Je me demande même quelle update est installée sur nos serveurs / chez les collègues :p

Parcontre, sur le plan personnel, je commence à me poser la question : pourrais-je voir en cette nouvelle une bonne excuse pour abandonner moi aussi la 1.5 ? Rhaaaa c'est ultra tentant.
Avatar de vintz72 vintz72 - Membre actif http://www.developpez.com
le 30/10/2009 à 9:38
Actuellement sur des projets conçus en JDK 1.6. Donc pas de problème.
Précédemment, un projet monstrueux en 1.4... et là, c'est le drame.

Franchement, si je dois revenir en JDK 1.4, ça me ferait hyper mal au c... parce que les generics notamment, c'est tout simplement indispensable une fois qu'on y a goûté !
Avatar de entreprise38 entreprise38 - Inactif http://www.developpez.com
le 30/10/2009 à 13:14
Idem pour le calvaire 1.4 quand on a gouté à 1.5
j'ai quand même eu la chance d'arriver lors de la transition 1.4=>1.5 : sauvé.

Parcontre, je ne pense pas que le passage 1.5=>1.6 soit aussi significatif : on n'a pas les mêmes changements connus lors de la migration précédente, cette fois-ci il n'y a pas de grandes nouveautés qui nous fassent maudire 1.5, contrairement à 1.4.
Avatar de Jibee Jibee - Membre régulier http://www.developpez.com
le 30/10/2009 à 13:59
Ce qui fait peur dans ce tableau, c'est la fin du support du JDK 6 pour dans un an environ s'ils s'en tiennent à leurs prévisions
Avatar de xtope xtope - Membre du Club http://www.developpez.com
le 30/10/2009 à 14:15
Perso ma dernière mission était en 1.4, et quand je vois le nombre d'applis qui sont encore développées en 1.4... l'année dernière j'ai même bossé sur du 1.3.

S'ils arrêtent le support de jdk 6 l'année prochaine, qu'est ce qu'on est mal.
Avatar de CyberChouan CyberChouan - Rédacteur http://www.developpez.com
le 30/10/2009 à 17:24
Citation Envoyé par xtope  Voir le message
Perso ma dernière mission était en 1.4, et quand je vois le nombre d'applis qui sont encore développées en 1.4... l'année dernière j'ai même bossé sur du 1.3.

Même avis... Je travaille encore (pas par choix) sur des JVM 1.4 (serveurs Sun One 6.1).

Donc pour ce que je peux voir, je dirais que la politique est : "on prend le risque !"
Avatar de TheNOHDirector TheNOHDirector - Membre du Club http://www.developpez.com
le 03/11/2009 à 11:15
J'ai un doute, cette police est bien mentionnée pour J2SE qu'en est-il pour J2EE, est-ce qu'il s'agit de la même police de fin de vie ?
Avatar de Ricky81 Ricky81 - Expert éminent sénior http://www.developpez.com
le 07/11/2009 à 10:09
Citation Envoyé par TheNOHDirector  Voir le message
J'ai un doute, cette police est bien mentionnée pour J2SE qu'en est-il pour J2EE, est-ce qu'il s'agit de la même police de fin de vie ?

Pas du tout, d'ailleurs J2EE/Java EE n'est qu'une spécification, la police de fin de vie dépend de l'implémentation utilisée (et donc du éditeur/revendeur concerné).
Avatar de Ricky81 Ricky81 - Expert éminent sénior http://www.developpez.com
le 07/11/2009 à 10:10
Pour info, une dernière version publique a été rendue disponible : Sortie de Java SE 6 Update 17 et Java SE 5 Update 22 : mises à jour de sécurité
Avatar de TheNOHDirector TheNOHDirector - Membre du Club http://www.developpez.com
le 07/11/2009 à 12:30
Merci Ricky, effectivement je connaissais le support J2EE de l'éditeur, mais le doute que j'avais me laissait penser que Sun avait également un support sur cette spécification.
Offres d'emploi IT
Développement application mobile h/f
Atos - Midi Pyrénées - Toulouse (31000)
Développeur .net h/f
BULL FR - Provence Alpes Côte d'Azur - Marseille (13000)
H/F Développeur mobile android
1000MERCIS - Ile de France - Paris (75000)

Voir plus d'offres Voir la carte des offres IT
Responsables bénévoles de la rubrique Java : Mickael Baron - Robin56 -